NAME := veyon

AMD64_BIN    := veyon-4.3.0.0-win64-setup.exe
X86_BIN      := veyon-4.3.0.0-win32-setup.exe

DOWNLOAD_FILES    := $(AMD64_BIN) $(X86_BIN)

bin_DIR := $(DESTDIR)/usr/share/eole/workstation/$(NAME)

clean::
	rm -f *.exe

$(DOWNLOAD_FILES):
	wget -N --progress=dot:mega http://eole.ac-dijon.fr/workstation/$(NAME)/$@
	sha256sum -c $@.sha256

install-dirs::
	$(INSTALL_DIRECTORY) $(bin_DIR)

install-files:: $(DOWNLOAD_FILES)
	$(INSTALL_DATA) $(AMD64_BIN) $(bin_DIR)
	$(INSTALL_DATA) $(AMD64_BIN).sha256 $(bin_DIR)
	$(INSTALL_DATA) $(X86_BIN) $(bin_DIR)
	$(INSTALL_DATA) $(X86_BIN).sha256 $(bin_DIR)
